public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Tim Harder" <radhermit@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libyaml/
Date: Tue, 30 Aug 2016 01:51:11 +0000 (UTC)	[thread overview]
Message-ID: <1472521701.8d1c8b08b78866f23b15419a6b86aa47b0b485ab.radhermit@gentoo> (raw)

commit:     8d1c8b08b78866f23b15419a6b86aa47b0b485ab
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 30 01:48:21 2016 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Tue Aug 30 01:48:21 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d1c8b08

dev-libs/libyaml: version bump to 0.1.7

 dev-libs/libyaml/Manifest             |  1 +
 dev-libs/libyaml/libyaml-0.1.7.ebuild | 48 +++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-libs/libyaml/Manifest b/dev-libs/libyaml/Manifest
index 18724ad..ec49578 100644
--- a/dev-libs/libyaml/Manifest
+++ b/dev-libs/libyaml/Manifest
@@ -1 +1,2 @@
 DIST yaml-0.1.6.tar.gz 503012 SHA256 7da6971b4bd08a986dd2a61353bc422362bd0edcc67d7ebaac68c95f74182749 SHA512 eef1f26fec0a305836b8c6a65def4e2864fe2415618e7490717d4e42f0fc51048727ab0e7e4a6c3a2783ae762fddd6b78091a76a6cd3a2710ae18e3dfb27cd44 WHIRLPOOL b3dc733ae79c2798ad80390fee90648ab65b32b9550d6b3d336138e3d664ee6fa50f71594747e49c7e0b9b72600cb4dd22aaac62970bbf50ae343be4a8c956ca
+DIST yaml-0.1.7.tar.gz 527518 SHA256 8088e457264a98ba451a90b8661fcb4f9d6f478f7265d48322a196cec2480729 SHA512 1ee5007dd10db137b5ee80f8117f07390ec04af98d087a5f5475dd2b38d87c699b79ab1676e6c7bfa263323fcdf8edd69fada2b0b7f9c57bef4e46cd65f1e975 WHIRLPOOL 2003d3892df783324dfaa6a04195baeccae341e38e0741b8d7c2b8b29f674264644c45f334517ce9d4a45fb907adaf8a5f36a85da832a7b783d759cc13b1acac

diff --git a/dev-libs/libyaml/libyaml-0.1.7.ebuild b/dev-libs/libyaml/libyaml-0.1.7.ebuild
new file mode 100644
index 00000000..6818521
--- /dev/null
+++ b/dev-libs/libyaml/libyaml-0.1.7.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils libtool
+
+MY_P="${P/lib}"
+
+DESCRIPTION="YAML 1.1 parser and emitter written in C"
+HOMEPAGE="http://pyyaml.org/wiki/LibYAML"
+SRC_URI="http://pyyaml.org/download/${PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc examples test static-libs"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+	default
+
+	# conditionally remove tests
+	if ! use test; then
+		sed -i -e 's: tests::g' Makefile* || die
+	fi
+
+	elibtoolize  # for FreeMiNT
+}
+
+src_configure() {
+	econf $(use_enable static-libs static)
+}
+
+src_install() {
+	default
+
+	prune_libtool_files
+	use doc && dodoc -r doc/html
+
+	if use examples ; then
+		docompress -x /usr/share/doc/${PF}/examples
+		insinto /usr/share/doc/${PF}/examples
+		doins tests/example-*.c
+	fi
+}


             reply	other threads:[~2016-08-30  1:51 UTC|newest]

Thread overview: 42+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-08-30  1:51 Tim Harder [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-11-23 17:59 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libyaml/ Tobias Klausmann
2016-11-25 18:27 Agostino Sarubbo
2016-11-25 18:54 Agostino Sarubbo
2016-11-29 17:31 Markus Meier
2017-01-07  9:44 Jeroen Roovers
2017-01-21  9:56 Tim Harder
2017-02-24  4:39 Mike Frysinger
2018-06-30 17:34 Tim Harder
2019-04-03  4:46 Tim Harder
2019-05-05 12:46 Mikle Kolyada
2019-05-11  5:51 Tim Harder
2019-08-15 18:51 Sergei Trofimovich
2019-08-16 22:16 Aaron Bauman
2019-08-16 22:38 Thomas Deutschmann
2019-08-17 20:17 Sergei Trofimovich
2019-08-17 20:22 Sergei Trofimovich
2019-08-17 20:33 Sergei Trofimovich
2019-08-17 20:41 Sergei Trofimovich
2019-08-18 21:51 Agostino Sarubbo
2019-08-23 10:00 Agostino Sarubbo
2019-08-23 10:04 Agostino Sarubbo
2019-09-01 18:30 Mikle Kolyada
2019-09-01 18:30 Mikle Kolyada
2019-09-01 18:30 Mikle Kolyada
2019-11-17  5:08 Tim Harder
2019-11-19  1:28 Patrick McLean
2020-06-02  0:25 Patrick McLean
2020-12-27 14:21 Fabian Groffen
2020-12-27 19:16 Fabian Groffen
2021-01-20  0:05 Sam James
2021-01-20  9:28 Sam James
2021-01-20  9:29 Sam James
2021-01-20  9:30 Sam James
2021-01-20 17:02 Sergei Trofimovich
2021-01-21 22:31 Sam James
2021-01-24 13:33 Sam James
2021-01-24 23:21 Sam James
2021-02-05 21:37 Sam James
2021-03-21 19:00 David Seifert
2022-07-29  4:17 Sam James
2023-05-30 13:55 Fabian Groffen

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1472521701.8d1c8b08b78866f23b15419a6b86aa47b0b485ab.radhermit@gentoo \
    --to=radhermit@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox